/*
 *  Roadnav
 *  NavTypeDialog.h
 *
 *  Copyright (c) 2008 Dustin Spicuzza <dustin@virtualroadside.com>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// This file contains the NavTypeDialog, a simple dialog to ask the user
/// what type of navigation they want to use
///
//////////////////////////////////////////////////////////////////////////////


#ifndef NAVTYPEDIALOG_H
#define NAVTYPEDIALOG_H

enum {
	navTypeTraditional = wxID_HIGHEST,
	navTypeCyborg
};

class NavTypeDialog : public wxDialog {
	public:
		NavTypeDialog(wxWindow *parent, wxFont * pFont);
		
	private:
		void OnSelect(wxCommandEvent &event);

		DECLARE_EVENT_TABLE()
};


#endif

